Name: ovirt-engine-nodejs-modules
Version: 0.0.17
Release: 1%{?dist}
Summary: Node.js modules required to build oVirt Engine JavaScript applications
Group: Virtualization/Management
License: Multiple
URL: http://ovirt.org
Source0: node_modules.tar
Source1: LICENSES.csv
Source2: CHANGES.adoc
Source3: setup-env.sh

ExclusiveArch: x86_64

Requires: ovirt-engine-nodejs
Requires: /bin/bash
Requires: /bin/sh
Requires: /usr/bin/env
Requires: ld-linux-x86-64.so.2()(64bit)
Requires: ld-linux-x86-64.so.2(GLIBC_2.3)(64bit)
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.10)(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6(GLIBC_2.4)(64bit)
Requires: libc.so.6(GLIBC_2.7)(64bit)
Requires: libc.so.6(GLIBC_2.9)(64bit)
Requires: libdl.so.2()(64bit)
Requires: libdl.so.2(GLIBC_2.2.5)(64bit)
Requires: libfontconfig.so.1()(64bit)
Requires: libfreetype.so.6()(64bit)
Requires: libgcc_s.so.1()(64bit)
Requires: libgcc_s.so.1(GCC_3.0)(64bit)
Requires: libgcc_s.so.1(GCC_3.4)(64bit)
Requires: libm.so.6()(64bit)
Requires: libm.so.6(GLIBC_2.2.5)(64bit)
Requires: libpthread.so.0()(64bit)
Requires: libpthread.so.0(GLIBC_2.2.5)(64bit)
Requires: libpthread.so.0(GLIBC_2.3.2)(64bit)
Requires: libpthread.so.0(GLIBC_2.3.3)(64bit)
Requires: librt.so.1()(64bit)
Requires: librt.so.1(GLIBC_2.2.5)(64bit)
Requires: libstdc++.so.6()(64bit)
Requires: libstdc++.so.6(GLIBCXX_3.4.11)(64bit)
Requires: libstdc++.so.6(GLIBCXX_3.4)(64bit)
Requires: libstdc++.so.6(GLIBCXX_3.4.9)(64bit)
Requires: libz.so.1()(64bit)

%description
Node.js modules required to build oVirt Engine JavaScript applications.

%prep

# Copy additional files to build directory:
cp %{SOURCE1} .
cp %{SOURCE2} .
cp %{SOURCE3} .

%install

# Create the destination directory in build root:
mkdir -p %{buildroot}%{_datadir}/%{name}

# Create the directory under where the modules will be installed in the
# build root:
mkdir -p %{buildroot}%{_sharedstatedir}/%{name}

# Copy the modules tarball, but don't uncompress it, as that would
# generate more files than RPM is capable to have in one single file.
# The tarball will be uncompressed later, to the /var/lib directory.
cp %{SOURCE0} %{buildroot}%{_datadir}/%{name}/node_modules.tar

# Copy additional files to build root:
cp %{SOURCE3} %{buildroot}%{_datadir}/%{name}/.

%post

# Uncompress the modules tarball directory:
tar -xf %{_datadir}/%{name}/node_modules.tar -C %{_sharedstatedir}/%{name}

%postun

# Remove all files from the directory where the modules tarball was
# uncompressed:
rm -rf  %{_sharedstatedir}/%{name}/*

%files
%doc CHANGES.adoc
%license LICENSES.csv
%{_datadir}/%{name}
%{_sharedstatedir}/%{name}

%changelog
* Wed Dec 14 2016 Martin Betak <mbetak@redhat.com> - 0.0.17-1
- Bump ovirt-ui-components version to 0.1.2.

* Fri Nov 25 2016 Martin Betak <mbetak@redhat.com> - 0.0.16-1
- Bump ovirt-ui-components version to 0.1.0.

* Fri Nov 18 2016 Vojtech Szocs <vszocs@redhat.com> - 0.0.15-1
- Bump Node.js version to 6.9.1.

* Mon Nov 14 2016 Martin Betak <mbetak@redhat.com> - 0.0.14-1
- Add new ovirt-web-ui dependencies based on create-react-app eject.

* Thu Aug 4 2016 Vojtech Szocs <vszocs@redhat.com> - 0.0.13-1
- Update build.sh to address various npm warnings when building RPM.
- npm modules to be included in RPM are now declared in dependencies,
  npm modules needed only for RPM build are now in devDependencies.
- Modules listed in devDependencies should no longer be mentioned in
  CHANGES.adoc file as they are not included in resulting RPM.

* Tue Aug 2 2016 Juan Hernandez <juan.hernandez@redhat.com> - 0.0.12-1
- Automatically calculate RPM dependencies using "find-requires".

* Mon Aug 1 2016 Juan Hernandez <juan.hernandez@redhat.com> - 0.0.11-1
- Don't extract the tarball, to avoid RPM file number limits.

* Thu Jul 28 2016 Vojtech Szocs <vszocs@redhat.com> - 0.0.10-1
- Add Intl API (ECMA-402) polyfill.

* Tue Jun 28 2016 Vojtech Szocs <vszocs@redhat.com> - 0.0.9-1
- Add test-related dependencies: Karma, Mocha, Chai, PhantomJS,
  Sinon, babel-polyfill and imports-loader.

* Thu May 26 2016 Vojtech Szocs <vszocs@redhat.com> - 0.0.8-1
- Add i18n-related dependencies: intl-messageformat, react-intl
  and json-loader for webpack.

* Tue May 10 2016 Vojtech Szocs <vszocs@redhat.com> - 0.0.7-1
- Add jQuery.

* Thu May 5 2016 Vojtech Szocs <vszocs@redhat.com> - 0.0.6-1
- Add setup-env.sh script.

* Fri Apr 22 2016 Marek Libra <mlibra@redhat.com> - 0.0.5-1
- Add po2json for webpack.

* Thu Apr 21 2016 Vojtech Szocs <vszocs@redhat.com> - 0.0.4-1
- Bump babel-core, copy-webpack-plugin, ESLint and its React
  plugin, React and React-DOM, style-loader and webpack.
- Add C3, D3 and ESLint config for Standard.js.

* Fri Apr 15 2016 Ryan Barry <rbarry@redhat.com> - 0.0.3-1
- Add classnames, Bootstrap, Patternfly, and plugins for webpack.

* Sun Apr 3 2016 Martin Betak <mbetak@redhat.com> - 0.0.2-1
- Added ESLint and ESLint Standard.js plugin.

* Thu Mar 31 2016 Juan Hernandez <juan.hernadez@redhat.com> - 0.0.1-1
- Build only for x86_64.

* Tue Mar 29 2016 Juan Hernandez <juan.hernadez@redhat.com> - 0.0.1-0.0
- Added ReactJS, Babel and Webpack.

* Tue Mar 29 2016 Juan Hernandez <juan.hernadez@redhat.com> - 0.0.0-0.2
- Added LICENSES.csv.

* Mon Mar 28 2016 Juan Hernandez <juan.hernadez@redhat.com> - 0.0.0-0.1
- Move the modules to a "node_modules" directory, as otherwise some
  tools, like "webpack", fail to find some of them.

* Sat Mar 5 2016 Juan Hernandez <juan.hernadez@redhat.com> - 0.0.0-0.0
- Initial packaging.
